curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/loans/{loanId}/proceeds/{proceedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"date": "2023-12-25",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/loans/{loanId}/proceeds/{proceedId}"
payload = {
"amount": 123,
"date": "2023-12-25",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
date: '2023-12-25',
memo: '<string>',
metadata: {},
reference_number: '<string>'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/loans/{loanId}/proceeds/{proceedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-12-25",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"external_id": "<string>",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Update a loan proceed
Updates a loan proceed. Only the fields you include are changed; the underlying ledger entries are reversed and re-posted to reflect the change. Reducing a proceed below the principal that has already been repaid is rejected.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the loan.
The UUID of the loan proceed.
Body
The proceed fields to update.
Parameters for updating a loan proceed. Only include the fields you want to change.
Updated proceed amount, in cents.
Updated proceed date.
Updated payment method.
CASH, CHECK, CREDIT_CARD, ACH, CREDIT_BALANCE, OTHER Updated internal note.
Arbitrary JSON object you can attach for your own use. Layer stores and returns it unchanged.
Updated reference number.
Response
The updated loan proceed.
A loan proceed: funds (or an asset) received when a loan is drawn. See the Loan Proceed object.
Show child attributes
Show child attributes